/*importazione font google*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
html, body{
    font-family: Arial, Helvetica, sans-serif;
    color: rgb(0,0,0);
    width: 100vw;
    height: auto;
    min-height: 100vh;
    /*overflow: hidden;*/
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    overflow-y: hidden;
}
*{
    margin: 0;
    padding: 0;
    position: relative;
    float: left;
}
span, br, strong, em, a{
    
    margin: unset;
    padding: unset;
    position: unset;
    float: unset;
}
.fontWeightMarked{
    font-weight: 400 !important;
}
@keyframes appearMe{
    from{
        opacity: 0;
    }
    to{
        opacity: 1;
    }
}
@keyframes moveMeAndLetMeAppear{
    from{
        opacity: 0;
        transform: translateX(0);
    }
    to{
        opacity: 1;
        transform: translateX(-150px);
    }
}
@keyframes moveMe{
    from{
        transform: translateX(0);
    }
    to{
        transform: translateX(-250px);
    }
}
@keyframes moveMeUp{
    from{
        transform: translateY(0);
    }
    to{
        transform: translateY(-30vh);
    }
}
@keyframes openingSediInfo{
    from{
        bottom: -40vh;
        opacity: 0;
    }
    to{
        bottom: 0;
        opacity: 1;
    }
}
@keyframes closingSediInfo{
    from{
        bottom: 0;
        opacity: 1;
    }
    to{
        bottom: -40vh;
        opacity: 0;
    }
}
@keyframes boxShadownOnAnimating{
    from{
        box-shadow: 0 0 0px 0px rgba(0,0,0,0.9);
    }
    to{
        box-shadow: 0 0 250px 250px rgba(0,0,0,0.9);
    }
}
@keyframes boxShadownOffAnimating{
    from{
        box-shadow: 0 0 250px 250px rgba(0,0,0,0.9);
    }
    to{
        box-shadow: 0 0 0px 0px rgba(0,0,0,0.9);
    }
}
.container{
    width: 100vw;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
    background: url('/toronto/myimg/contact/bg_toronto.jpg');
    background-size: cover;
    background-position: top center;
    transform:rotateY(0deg);
    color: rgb(255,255,255);
}
.content{
    position: relative;
    min-height: 100vh;
    min-width: 100vw;
    transform:rotateY(0deg);
}
.addressContainer{
    position: absolute;
    bottom: 20vh;
    left: 20vh;
    font-size: 1em;
    width: 20vw;
}
.phoneNumber, .address, .cityName, .mailAddress{
    text-align: left;
    margin-right: 10px;
    clear: both;
    font-weight: 300;
}
ul.sediList{
    position: absolute;
    bottom: 20px;
    right: 25px;
    width: 30vw;
    list-style: none;
}
li.singleSede{
    font-weight: 400;
    text-transform: capitalize;
    color: rgb(0,0,0);
    letter-spacing: 1px;
    width: calc(7.5vw - 10px - 20px);
    text-align: center;
    padding: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    margin: 10px;
    border-radius: 5px;
    transition: 0.2s;
    cursor: pointer;
}
li.singleSede:hover{
    transition: 0.2s;
    background: rgb(30,30,30);
    color: rgba(255,255,255);
}
.singleSedeInfo{
    width: 20vw;
    color: rgb(30,30,30);
    position: absolute;
    bottom: 10vh;
    right: 2vw;
    opacity: 0;
}
h1.SingleSedeCity{
    font-size: 15em;
    font-weight: 200;
    color: rgb(30,30,30);
    text-transform: uppercase;
    position: absolute;
    bottom: 1vh;
    right: 0vw;
    mix-blend-mode: exclusion;
}
.rightAligned{
    width: 100%;
    text-align: right !important;
    font-size: 0.8em;
    line-height: 1.3em;
}
.translatedSedeInfo{
    opacity: 1;
}
/*googlemap config*/
.mapSpace{
    position: absolute;
    top: 20vh;
    right: 2vw;
    overflow: hidden;
    width: 40vw;
    height: 40vh;
    display: flex;
    align-items: center;
    justify-self: right;
    object-fit: contain;
    opacity: 0.5;
    filter: grayscale(100%);
    transition: 0.2s;
}
.mapSpace:hover{
    opacity: 1;
    transition: 0.2s;
}
.mobile, .mobileButton{
    display: none;
}

@media (min-width: 279px) and (max-width: 823px){
    .container {
        background-position: left 10% top 30%;
        background-size: 250vh;
    }
    .addressContainer {
        bottom: 25vh;
        left: 2.5vw;
        font-size: 0.8em;
        width: 70vw;
        background: rgba(0,0,0,0.35);
        border-radius: 10px;
        padding: 10px;
        backdrop-filter: blur(15px);
    }
    ul.sediList {
        top: 20vh;
        bottom: unset;
        right: 5vw;
        width: 30vw;
        height: auto;
    }
    li.singleSede {
        font-weight: 400;
        text-transform: capitalize;
        color: rgb(0,0,0);
        letter-spacing: 1px;
        width: 100%;
        text-align: right;
        float: left;
        clear: both;
        margin: 0 !important;
        padding: 10 !important;
    }
    .singleSedeInfo{
        width: 100vw;
        color: rgb(30,30,30);
        position: absolute;
        right: 0;
        opacity: 1;
        background: rgba(255,255,255,0.95);
        padding: 15px;
        box-sizing: border-box;
        height: 40vh;
        bottom: -40vh;
        z-index: 9999;
    }
    .filterButtonContract{
        display: none !important;
    }
    .sede-Milano, .sede-Padova, .sede-Tirana, .sede-Toronto{
        display: none;
    }
    .sede-Milano{
        display: block;
    }
    h1.SingleSedeCity{
        width: 100%;
        font-size: 5em;
        font-weight: 200;
        color: rgb(30,30,30);
        text-transform: uppercase;
        position: absolute;
        bottom: 10vh;
        right: 0vw;
        mix-blend-mode: exclusion;
        text-align: center;
    }
    .rightAligned {
        width: 100%;
        text-align: left !important;
        font-size: 0.8em;
        line-height: 1.3em;
    }
    .mobile, .mobileButton{
        display: block;
    }
    .phoneNumber{
        margin-top: 1vh;
    }
    .closingSediInfo{
        border: 0.5px solid rgb(0,0,0);
        padding: 2.5px;
        padding-left: 10px;
        padding-right: 10px;
        position: absolute;
        top: 2.5vw;
        right: 2.5vw;
        font-size: 0.8em;
        text-transform: uppercase;
        z-index: 9999;
    }
    .openAnimationSediInfo{
        animation: openingSediInfo;
        animation-duration: 0.5s;
        animation-fill-mode: forwards;
    }
    .closeAnimationSediInfo{
        animation: closingSediInfo;
        animation-duration: 0.5s;
        animation-fill-mode: forwards;
    }
    .mapSpace {
        top: unset;
        bottom: calc((100vh - 90vw) / 2);
        right: 5vw;
        width: 90vw;
        height: 90vw;
        opacity: 1;
        filter: grayscale(0%) !important;
        z-index: 999;
        border: 10px solid rgb(255,255,255);
        box-sizing: border-box;
        border-radius: 0px;
        box-shadow: 0 0 0px 0px rgba(0,0,0,0.9);
        display: none;
    }
    span.openMapButton{
        font-size: 2em;
        color: rgb(255,255,255);
        background: rgb(30,30,30);
        padding: 10px;
        position: absolute;
        bottom: 70px;
        right: 25px;
        z-index: 9999;
        width: 50px;
        height: 50px;
        box-sizing: border-box;
        border-radius: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
        font-weight: 200 !important;
    }
    .animatingShadownOn{
        animation: boxShadownOnAnimating;
        animation-duration: 0.2s;
        animation-fill-mode: forwards;
    }
    .animatingShadownOff{
        animation: boxShadownOffAnimating;
        animation-duration: 0.2s;
        animation-fill-mode: forwards;
    }
}